2019-05-27 06:51 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002647NetSurfRISC OS-specificpublic2019-05-25 16:31
ReporterBrian Jordan 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRaspberry PiOSRISC OSOS Version5.23
Product Version 
Target Version3.9Fixed in Version3.9 
Summary0002647: Crash in #4640
DescriptionConsistent crash in #4640
Steps To ReproduceOpen https://www.clubmans.org.uk and select "Current season" button in left column
Additional InformationThis happens regularly
TagsNo tags attached.
Fixed in CI build #4646
Reported in CI build #4640
URL of problem pagehttps://www.clubmans.org.uk
Attached Files
  • ? file icon Log (71,645 bytes) 2019-05-13 14:19 -
    ? file icon Log (71,645 bytes) 2019-05-13 14:19 +

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001917

Daniel Silverstone (administrator)

I can confirm this, and it looks like it's a case of the old Window compartment not closing down properly:

(1.020374) build/Linux-gtk/duktape/window.c:189 window_alloc_new_callback: Scheduled callback 0 for 5000 ms from now
(2.716481) content/handlers/javascript/duktape/dukky.c:611 js_newcompartment: Old compartment present, closing it down
(2.722730) content/handlers/javascript/duktape/dukky.c:615 js_newcompartment: Window hopefully released
(2.722994) content/handlers/javascript/duktape/dukky.c:619 js_newcompartment: New javascript/duktape compartment, win_priv=0x55bf7a143360, doc_priv=0x55bf7a4ad8e0

Note how the callback isn't cancelled during the closedown of the compartment.

I shall investigate
Daniel Silverstone

~0001919

Daniel Silverstone (administrator)

This was an interesting problem where the JS compartment didn't close down properly when being replaced. The underlying issue (that the Window object doesn't get finalised) is still there, but from #4646 I have put a workaround in place which resolves this particular issue (an unexpected callback firing because the Window hadn't cleaned up)
+Notes

-Issue History
Date Modified Username Field Change
2019-05-13 14:19 Brian Jordan New Issue
2019-05-13 14:19 Brian Jordan File Added: Log
2019-05-19 10:46 Daniel Silverstone Assigned To => Daniel Silverstone
2019-05-19 10:46 Daniel Silverstone Status new => confirmed
2019-05-19 10:46 Daniel Silverstone Note Added: 0001917
2019-05-25 16:31 Daniel Silverstone Status confirmed => resolved
2019-05-25 16:31 Daniel Silverstone Resolution open => fixed
2019-05-25 16:31 Daniel Silverstone Fixed in Version => 3.9
2019-05-25 16:31 Daniel Silverstone Target Version => 3.9
2019-05-25 16:31 Daniel Silverstone Fixed in CI build # => 4646
2019-05-25 16:31 Daniel Silverstone Note Added: 0001919
+Issue History